<a name="_4a3026d8db26e286e38080d79e91d2d809393c8a7900104be8e2cc09a99954a0"></a>
[![npm](https://img.shields.io/npm/v/@acoustic-content-sdk/redux-ajax.svg?style=flat-square)](https://www.npmjs.com/package/@acoustic-content-sdk/redux-ajax)

Implementation of the fetchText and writeText callbacks against Acoustic Content.

[API Documentation](#_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c)

<a name="_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c"></a>
<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](#_94f67036cc08e599f9f5e8d8c3b4d0b2566e448c46f034f7e1d2d582b79075a3) &gt; [@acoustic-content-sdk/redux-ajax](#_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c)

## redux-ajax package

Implementation of the `fetchText` and `writeText` callbacks.

## Functions

|  Function | Description |
|  --- | --- |
|  [fetchTextAjax(apiBase, aLoggerService)](#_829a4abc6a2c55b243f6c10cae04847e882d37b593e2c054d515438f0ac48705) | Creates a callback function that loads content via HTTP GET from the API routes. |
|  [writeJsonAjax(apiBase, aLoggerService)](#_37b6f01ec9a08f3bb50750ef6fb8a97f77726f7d1c2f9d1ea5a6b13168f7508c) | Creates a callback function that writes content to API routes via PUST, POST or delete |

## Variables

|  Variable | Description |
|  --- | --- |
|  [VERSION](#_87e2ae7ae005e0c062e2d8bfca31a5f3a0c4910e586c2e91cdf0095067ef162b) | Version and build number of the package |


<a name="_4a3026d8db26e286e38080d79e91d2d809393c8a7900104be8e2cc09a99954a0"></a>

<a name="_829a4abc6a2c55b243f6c10cae04847e882d37b593e2c054d515438f0ac48705"></a>
<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](#_94f67036cc08e599f9f5e8d8c3b4d0b2566e448c46f034f7e1d2d582b79075a3) &gt; [@acoustic-content-sdk/redux-ajax](#_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c) &gt; [fetchTextAjax](#_829a4abc6a2c55b243f6c10cae04847e882d37b593e2c054d515438f0ac48705)

## fetchTextAjax() function

Creates a callback function that loads content via HTTP GET from the API routes.

<b>Signature:</b>

```typescript
export declare function fetchTextAjax(apiBase: StaticHubInfoUrlProvider | PromiseLike<StaticHubInfoUrlProvider>, aLoggerService?: LoggerService): FetchText;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  apiBase | <code>StaticHubInfoUrlProvider &#124; PromiseLike&lt;StaticHubInfoUrlProvider&gt;</code> | the [API URL](https://developer.ibm.com/customer-engagement/tutorials/accessing-your-sites-through-watson-content-hub-apis/#tocstep1)<!-- -->. |
|  aLoggerService | <code>LoggerService</code> |  |

<b>Returns:</b>

`FetchText`

the callback function


<a name="_37b6f01ec9a08f3bb50750ef6fb8a97f77726f7d1c2f9d1ea5a6b13168f7508c"></a>
<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](#_94f67036cc08e599f9f5e8d8c3b4d0b2566e448c46f034f7e1d2d582b79075a3) &gt; [@acoustic-content-sdk/redux-ajax](#_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c) &gt; [writeJsonAjax](#_37b6f01ec9a08f3bb50750ef6fb8a97f77726f7d1c2f9d1ea5a6b13168f7508c)

## writeJsonAjax() function

Creates a callback function that writes content to API routes via PUST, POST or delete

<b>Signature:</b>

```typescript
export declare function writeJsonAjax(apiBase: StaticHubInfoUrlProvider | PromiseLike<StaticHubInfoUrlProvider>, aLoggerService?: LoggerService): WriteText;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  apiBase | <code>StaticHubInfoUrlProvider &#124; PromiseLike&lt;StaticHubInfoUrlProvider&gt;</code> | the [API URL](https://developer.ibm.com/customer-engagement/tutorials/accessing-your-sites-through-watson-content-hub-apis/#tocstep1)<!-- -->. |
|  aLoggerService | <code>LoggerService</code> |  |

<b>Returns:</b>

`WriteText`

the callback function


<a name="_87e2ae7ae005e0c062e2d8bfca31a5f3a0c4910e586c2e91cdf0095067ef162b"></a>
<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](#_94f67036cc08e599f9f5e8d8c3b4d0b2566e448c46f034f7e1d2d582b79075a3) &gt; [@acoustic-content-sdk/redux-ajax](#_af307df323a53a3df8175742f1c0538a7d3b2126175b348ad48c9c8f22533d4c) &gt; [VERSION](#_87e2ae7ae005e0c062e2d8bfca31a5f3a0c4910e586c2e91cdf0095067ef162b)

## VERSION variable

Version and build number of the package

<b>Signature:</b>

```typescript
VERSION: {
    version: {
        major: string;
        minor: string;
        patch: string;
        branch: string;
    };
    build: Date;
}
```
