import { LoggerService, StaticHubInfoUrlProvider } from '@acoustic-content-sdk/api';
import { FetchText, WriteText } from '@acoustic-content-sdk/rest-api';
export declare const PUBLISH_PRIORITY_HEADER_VALUE = "now";
export declare const CONTENT_TYPE_HEADER_VALUE_JSON = "application/json";
export declare function removeStartingSlash(aUrl: string): string;
/**
 * Creates a callback function that loads content via HTTP GET from the API routes.
 *
 * @param apiBase - the {@link https://developer.ibm.com/customer-engagement/tutorials/accessing-your-sites-through-watson-content-hub-apis/#tocstep1 | API URL}.
 * @param logger - an optional logger
 * @returns the callback function
 */
export declare function fetchTextAjax(apiBase: StaticHubInfoUrlProvider | PromiseLike<StaticHubInfoUrlProvider>, aLoggerService?: LoggerService): FetchText;
export declare function isProgressEvent(object: any): object is ProgressEvent;
export declare function isResponseEvent(object: any): boolean;
/**
 * Creates a callback function that writes content to API routes via PUST, POST or delete
 *
 * @param apiBase - the {@link https://developer.ibm.com/customer-engagement/tutorials/accessing-your-sites-through-watson-content-hub-apis/#tocstep1 | API URL}.
 * @param logger - an optional logger
 * @returns the callback function
 */
export declare function writeJsonAjax(apiBase: StaticHubInfoUrlProvider | PromiseLike<StaticHubInfoUrlProvider>, aLoggerService?: LoggerService): WriteText;
